<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/FishingRod_Base.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/ddb/_fishing_rod___base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">FishingRod_Base.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d2/ddb/_fishing_rod___base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html">FishingRod_Base_New</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a324993ffbd1a9e2ee76dc0681f53830d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a324993ffbd1a9e2ee76dc0681f53830d">FishingRod_Base</a> ()</td></tr>
<tr class="separator:a324993ffbd1a9e2ee76dc0681f53830d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">Init</a> ()</td></tr>
<tr class="memdesc:a1e3b6d38df0786ccf7f938d60e386aae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system)  <a href="../../d2/ddb/_fishing_rod___base_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">More...</a><br /></td></tr>
<tr class="separator:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45551cad0d8bd5d9081bac5875d8a3e4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a45551cad0d8bd5d9081bac5875d8a3e4">IsFishingActive</a> ()</td></tr>
<tr class="separator:a45551cad0d8bd5d9081bac5875d8a3e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac711874f3a0640c8215f10f601723c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#aac711874f3a0640c8215f10f601723c3">ActivateFishing</a> ()</td></tr>
<tr class="separator:aac711874f3a0640c8215f10f601723c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0c637a3cc10fc6791ac484cc4ec0006"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ae0c637a3cc10fc6791ac484cc4ec0006">DeactivateFishing</a> ()</td></tr>
<tr class="separator:ae0c637a3cc10fc6791ac484cc4ec0006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a061ac9813568c8da14ca60d1bea3b98d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a061ac9813568c8da14ca60d1bea3b98d">FishPull</a> ()</td></tr>
<tr class="separator:a061ac9813568c8da14ca60d1bea3b98d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9f231326cd43a4efec159241e5aa449"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#aa9f231326cd43a4efec159241e5aa449">Catching</a> ()</td></tr>
<tr class="separator:aa9f231326cd43a4efec159241e5aa449"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03cb1f6b8b7068fa30adf2200e0c67ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a03cb1f6b8b7068fa30adf2200e0c67ba">Pulling</a> ()</td></tr>
<tr class="separator:a03cb1f6b8b7068fa30adf2200e0c67ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d9b237bb4713346b095c0b661a99677"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a1d9b237bb4713346b095c0b661a99677">End</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> result)</td></tr>
<tr class="separator:a1d9b237bb4713346b095c0b661a99677"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88d4a2a3632bc51841d0a2538a573fe2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a88d4a2a3632bc51841d0a2538a573fe2">AddPull</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> delta)</td></tr>
<tr class="separator:a88d4a2a3632bc51841d0a2538a573fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5169a51156d2df9368003d03de0bbd8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ab5169a51156d2df9368003d03de0bbd8">DisplayState</a> ()</td></tr>
<tr class="separator:ab5169a51156d2df9368003d03de0bbd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ea0aaf035a1939c725579219040c481"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a5ea0aaf035a1939c725579219040c481">CanPutInCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a5ea0aaf035a1939c725579219040c481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa39b7c4d3d085ef8514a87c32b81a4d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#afa39b7c4d3d085ef8514a87c32b81a4d">SetActions</a> ()</td></tr>
<tr class="separator:afa39b7c4d3d085ef8514a87c32b81a4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a098cd51dbe4c3f7316b105d9e43b0d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a8a098cd51dbe4c3f7316b105d9e43b0d">GetFishingEffectivityBonus</a> ()</td></tr>
<tr class="separator:a8a098cd51dbe4c3f7316b105d9e43b0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa850ba5753d8c926baf1b97747e6961c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html">FishingRod_Base_New</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#aa850ba5753d8c926baf1b97747e6961c">ANIM_PHASE_OPENED</a> = &quot;OpenRod&quot;</td></tr>
<tr class="separator:aa850ba5753d8c926baf1b97747e6961c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaab57404b15421444bdfd5a81ad9d489"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#aaab57404b15421444bdfd5a81ad9d489">ANIM_PHASE_CLOSED</a> = &quot;CloseRod&quot;</td></tr>
<tr class="separator:aaab57404b15421444bdfd5a81ad9d489"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a582c7f2558752d6f6e1acb669504c810"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a582c7f2558752d6f6e1acb669504c810">BREAK_PULL</a> = 36</td></tr>
<tr class="separator:a582c7f2558752d6f6e1acb669504c810"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39b4204deddf6efc0a891334091addc6"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a39b4204deddf6efc0a891334091addc6">TOO_MUCH_PULL</a> = 32</td></tr>
<tr class="separator:a39b4204deddf6efc0a891334091addc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec58671ab631f05cd90c4a271b1fc97"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#acec58671ab631f05cd90c4a271b1fc97">HIGH_PULL</a> = 22</td></tr>
<tr class="separator:acec58671ab631f05cd90c4a271b1fc97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad936e75179795e57c4f2faf36aaab06"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#aad936e75179795e57c4f2faf36aaab06">LOW_PULL</a> = 18</td></tr>
<tr class="separator:aad936e75179795e57c4f2faf36aaab06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b684771039417d45db35a26c465ef6a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a1b684771039417d45db35a26c465ef6a">TOO_FEW_PULL</a> = 8</td></tr>
<tr class="separator:a1b684771039417d45db35a26c465ef6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8c723cfde07c544899e1fe42ca22063"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ac8c723cfde07c544899e1fe42ca22063">LOOSE_PULL</a> = 0</td></tr>
<tr class="separator:ac8c723cfde07c544899e1fe42ca22063"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1bacf3be05d6401d78d435df2cd37b2"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ae1bacf3be05d6401d78d435df2cd37b2">LOSS_BREAK</a> = 0</td></tr>
<tr class="separator:ae1bacf3be05d6401d78d435df2cd37b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38b974043e294e1d07dbb5443394aaf7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a38b974043e294e1d07dbb5443394aaf7">LOSS_LOOSE</a> = 1</td></tr>
<tr class="separator:a38b974043e294e1d07dbb5443394aaf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdeeb210659dbcd636f576ebabdc5f03"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#afdeeb210659dbcd636f576ebabdc5f03">WIN</a> = 2</td></tr>
<tr class="separator:afdeeb210659dbcd636f576ebabdc5f03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3885878daa863ae8aa3e0c47dcb3ef97"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a3885878daa863ae8aa3e0c47dcb3ef97">INTERUPTED</a> = 3</td></tr>
<tr class="separator:a3885878daa863ae8aa3e0c47dcb3ef97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af79f899e0db5ecb032ce09d851b50580"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#af79f899e0db5ecb032ce09d851b50580">INIT_LINE_STRETCH</a> = 15</td></tr>
<tr class="separator:af79f899e0db5ecb032ce09d851b50580"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d77de8aad0acddfaac1590a64719cd7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a1d77de8aad0acddfaac1590a64719cd7">MIN_FISHING_TIME</a> = 100</td></tr>
<tr class="separator:a1d77de8aad0acddfaac1590a64719cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab500d2dd196fc462aaeb5b8b643e371b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ab500d2dd196fc462aaeb5b8b643e371b">MAX_FISHING_TIME</a> = 150</td></tr>
<tr class="separator:ab500d2dd196fc462aaeb5b8b643e371b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1f4add1a3f1ff236fd4b22e2f102881"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ab1f4add1a3f1ff236fd4b22e2f102881">FISH_PULL_CHANCE</a> = 15</td></tr>
<tr class="separator:ab1f4add1a3f1ff236fd4b22e2f102881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e65526190db71d77a63cb735720e095"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a3e65526190db71d77a63cb735720e095">FISH_AGILITY</a> = 15</td></tr>
<tr class="separator:a3e65526190db71d77a63cb735720e095"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6fe219a8fa1b4f6084cd1bab20090eb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ab6fe219a8fa1b4f6084cd1bab20090eb">m_FishProximity</a></td></tr>
<tr class="separator:ab6fe219a8fa1b4f6084cd1bab20090eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5672eedd470c449a872bc55a5cfcac1f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a5672eedd470c449a872bc55a5cfcac1f">m_Fishing</a></td></tr>
<tr class="separator:a5672eedd470c449a872bc55a5cfcac1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4376b3ca52c27f6351df6b9800f4b6da"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a4376b3ca52c27f6351df6b9800f4b6da">m_CyclerCatching</a></td></tr>
<tr class="separator:a4376b3ca52c27f6351df6b9800f4b6da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2d11547581e748e843a8f85521241a3"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ad2d11547581e748e843a8f85521241a3">m_Cycler</a></td></tr>
<tr class="separator:ad2d11547581e748e843a8f85521241a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a912256c8942bad3ed5529bdd61aef067"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a912256c8942bad3ed5529bdd61aef067">m_Pull</a></td></tr>
<tr class="separator:a912256c8942bad3ed5529bdd61aef067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab629eebfb027d877f560521b5fbb768b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ab629eebfb027d877f560521b5fbb768b">m_DeltaT</a></td></tr>
<tr class="separator:ab629eebfb027d877f560521b5fbb768b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96fd8bffe61dfb895b3aa60c52708514"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a96fd8bffe61dfb895b3aa60c52708514">m_WasPulled</a></td></tr>
<tr class="separator:a96fd8bffe61dfb895b3aa60c52708514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a604b79b27fa3b9fc6407cc416e7d07b0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a604b79b27fa3b9fc6407cc416e7d07b0">m_IsFishPulling</a></td></tr>
<tr class="separator:a604b79b27fa3b9fc6407cc416e7d07b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24843590cb4af2a1d47d4c06ef38b21e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a24843590cb4af2a1d47d4c06ef38b21e">m_PullTime</a></td></tr>
<tr class="separator:a24843590cb4af2a1d47d4c06ef38b21e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fed6e2914a014319cbaeebe902405ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a2fed6e2914a014319cbaeebe902405ff">m_FishPull</a></td></tr>
<tr class="separator:a2fed6e2914a014319cbaeebe902405ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1c7b9323b47fa632aac1df3a7b5edee"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#aa1c7b9323b47fa632aac1df3a7b5edee">m_FishingTime</a></td></tr>
<tr class="separator:aa1c7b9323b47fa632aac1df3a7b5edee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db3d46d75d2864daed52041fe1f0973"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#a4db3d46d75d2864daed52041fe1f0973">m_Player</a></td></tr>
<tr class="separator:a4db3d46d75d2864daed52041fe1f0973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8e18b82e9872fb0232d66dd989a7232"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html#ac8e18b82e9872fb0232d66dd989a7232">m_ChanceRange</a></td></tr>
<tr class="separator:ac8e18b82e9872fb0232d66dd989a7232"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aac711874f3a0640c8215f10f601723c3" name="aac711874f3a0640c8215f10f601723c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac711874f3a0640c8215f10f601723c3">&#9670;&#160;</a></span>ActivateFishing()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActivateFishing </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00094">94</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a88d4a2a3632bc51841d0a2538a573fe2" name="a88d4a2a3632bc51841d0a2538a573fe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88d4a2a3632bc51841d0a2538a573fe2">&#9670;&#160;</a></span>AddPull()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AddPull </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>delta</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00278">278</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a5ea0aaf035a1939c725579219040c481" name="a5ea0aaf035a1939c725579219040c481"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ea0aaf035a1939c725579219040c481">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00321">321</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="aa9f231326cd43a4efec159241e5aa449" name="aa9f231326cd43a4efec159241e5aa449"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9f231326cd43a4efec159241e5aa449">&#9670;&#160;</a></span>Catching()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catching </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00138">138</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ae0c637a3cc10fc6791ac484cc4ec0006" name="ae0c637a3cc10fc6791ac484cc4ec0006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0c637a3cc10fc6791ac484cc4ec0006">&#9670;&#160;</a></span>DeactivateFishing()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DeactivateFishing </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00100">100</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ab5169a51156d2df9368003d03de0bbd8" name="ab5169a51156d2df9368003d03de0bbd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5169a51156d2df9368003d03de0bbd8">&#9670;&#160;</a></span>DisplayState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DisplayState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00284">284</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a1d9b237bb4713346b095c0b661a99677" name="a1d9b237bb4713346b095c0b661a99677"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d9b237bb4713346b095c0b661a99677">&#9670;&#160;</a></span>End()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void End </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>result</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00220">220</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a324993ffbd1a9e2ee76dc0681f53830d" name="a324993ffbd1a9e2ee76dc0681f53830d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a324993ffbd1a9e2ee76dc0681f53830d">&#9670;&#160;</a></span>FishingRod_Base()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FishingRod_Base </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00062">62</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a061ac9813568c8da14ca60d1bea3b98d" name="a061ac9813568c8da14ca60d1bea3b98d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a061ac9813568c8da14ca60d1bea3b98d">&#9670;&#160;</a></span>FishPull()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FishPull </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00107">107</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a8a098cd51dbe4c3f7316b105d9e43b0d" name="a8a098cd51dbe4c3f7316b105d9e43b0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a098cd51dbe4c3f7316b105d9e43b0d">&#9670;&#160;</a></span>GetFishingEffectivityBonus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> GetFishingEffectivityBonus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00340">340</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a1e3b6d38df0786ccf7f938d60e386aae" name="a1e3b6d38df0786ccf7f938d60e386aae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3b6d38df0786ccf7f938d60e386aae">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system) </p>
<p >script functions</p>
<p >called by engine right after creation of entity </p>
<p >pre-init arrays</p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00067">67</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a45551cad0d8bd5d9081bac5875d8a3e4" name="a45551cad0d8bd5d9081bac5875d8a3e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45551cad0d8bd5d9081bac5875d8a3e4">&#9670;&#160;</a></span>IsFishingActive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsFishingActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00089">89</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a03cb1f6b8b7068fa30adf2200e0c67ba" name="a03cb1f6b8b7068fa30adf2200e0c67ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03cb1f6b8b7068fa30adf2200e0c67ba">&#9670;&#160;</a></span>Pulling()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Pulling </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00174">174</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="afa39b7c4d3d085ef8514a87c32b81a4d" name="afa39b7c4d3d085ef8514a87c32b81a4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa39b7c4d3d085ef8514a87c32b81a4d">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00331">331</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aaab57404b15421444bdfd5a81ad9d489" name="aaab57404b15421444bdfd5a81ad9d489"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaab57404b15421444bdfd5a81ad9d489">&#9670;&#160;</a></span>ANIM_PHASE_CLOSED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ANIM_PHASE_CLOSED = &quot;CloseRod&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00030">30</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="aa850ba5753d8c926baf1b97747e6961c" name="aa850ba5753d8c926baf1b97747e6961c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa850ba5753d8c926baf1b97747e6961c">&#9670;&#160;</a></span>ANIM_PHASE_OPENED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html">FishingRod_Base_New</a> ANIM_PHASE_OPENED = &quot;OpenRod&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a582c7f2558752d6f6e1acb669504c810" name="a582c7f2558752d6f6e1acb669504c810"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a582c7f2558752d6f6e1acb669504c810">&#9670;&#160;</a></span>BREAK_PULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BREAK_PULL = 36</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00032">32</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a3e65526190db71d77a63cb735720e095" name="a3e65526190db71d77a63cb735720e095"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e65526190db71d77a63cb735720e095">&#9670;&#160;</a></span>FISH_AGILITY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FISH_AGILITY = 15</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00046">46</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ab1f4add1a3f1ff236fd4b22e2f102881" name="ab1f4add1a3f1ff236fd4b22e2f102881"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1f4add1a3f1ff236fd4b22e2f102881">&#9670;&#160;</a></span>FISH_PULL_CHANCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FISH_PULL_CHANCE = 15</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00045">45</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="acec58671ab631f05cd90c4a271b1fc97" name="acec58671ab631f05cd90c4a271b1fc97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acec58671ab631f05cd90c4a271b1fc97">&#9670;&#160;</a></span>HIGH_PULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> HIGH_PULL = 22</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00034">34</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="af79f899e0db5ecb032ce09d851b50580" name="af79f899e0db5ecb032ce09d851b50580"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af79f899e0db5ecb032ce09d851b50580">&#9670;&#160;</a></span>INIT_LINE_STRETCH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> INIT_LINE_STRETCH = 15</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00042">42</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a3885878daa863ae8aa3e0c47dcb3ef97" name="a3885878daa863ae8aa3e0c47dcb3ef97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3885878daa863ae8aa3e0c47dcb3ef97">&#9670;&#160;</a></span>INTERUPTED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> INTERUPTED = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00041">41</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ac8c723cfde07c544899e1fe42ca22063" name="ac8c723cfde07c544899e1fe42ca22063"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8c723cfde07c544899e1fe42ca22063">&#9670;&#160;</a></span>LOOSE_PULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> LOOSE_PULL = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00037">37</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ae1bacf3be05d6401d78d435df2cd37b2" name="ae1bacf3be05d6401d78d435df2cd37b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1bacf3be05d6401d78d435df2cd37b2">&#9670;&#160;</a></span>LOSS_BREAK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> LOSS_BREAK = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00038">38</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a38b974043e294e1d07dbb5443394aaf7" name="a38b974043e294e1d07dbb5443394aaf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38b974043e294e1d07dbb5443394aaf7">&#9670;&#160;</a></span>LOSS_LOOSE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> LOSS_LOOSE = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00039">39</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="aad936e75179795e57c4f2faf36aaab06" name="aad936e75179795e57c4f2faf36aaab06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad936e75179795e57c4f2faf36aaab06">&#9670;&#160;</a></span>LOW_PULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> LOW_PULL = 18</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00035">35</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ac8e18b82e9872fb0232d66dd989a7232" name="ac8e18b82e9872fb0232d66dd989a7232"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8e18b82e9872fb0232d66dd989a7232">&#9670;&#160;</a></span>m_ChanceRange</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_ChanceRange</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00060">60</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ad2d11547581e748e843a8f85521241a3" name="ad2d11547581e748e843a8f85521241a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2d11547581e748e843a8f85521241a3">&#9670;&#160;</a></span>m_Cycler</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer m_Cycler</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00051">51</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a4376b3ca52c27f6351df6b9800f4b6da" name="a4376b3ca52c27f6351df6b9800f4b6da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4376b3ca52c27f6351df6b9800f4b6da">&#9670;&#160;</a></span>m_CyclerCatching</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer m_CyclerCatching</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00050">50</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ab629eebfb027d877f560521b5fbb768b" name="ab629eebfb027d877f560521b5fbb768b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab629eebfb027d877f560521b5fbb768b">&#9670;&#160;</a></span>m_DeltaT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_DeltaT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00053">53</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a5672eedd470c449a872bc55a5cfcac1f" name="a5672eedd470c449a872bc55a5cfcac1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5672eedd470c449a872bc55a5cfcac1f">&#9670;&#160;</a></span>m_Fishing</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_Fishing</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00049">49</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="aa1c7b9323b47fa632aac1df3a7b5edee" name="aa1c7b9323b47fa632aac1df3a7b5edee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1c7b9323b47fa632aac1df3a7b5edee">&#9670;&#160;</a></span>m_FishingTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_FishingTime</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00058">58</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ab6fe219a8fa1b4f6084cd1bab20090eb" name="ab6fe219a8fa1b4f6084cd1bab20090eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6fe219a8fa1b4f6084cd1bab20090eb">&#9670;&#160;</a></span>m_FishProximity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_FishProximity</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00048">48</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a2fed6e2914a014319cbaeebe902405ff" name="a2fed6e2914a014319cbaeebe902405ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fed6e2914a014319cbaeebe902405ff">&#9670;&#160;</a></span>m_FishPull</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_FishPull</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00057">57</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a604b79b27fa3b9fc6407cc416e7d07b0" name="a604b79b27fa3b9fc6407cc416e7d07b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a604b79b27fa3b9fc6407cc416e7d07b0">&#9670;&#160;</a></span>m_IsFishPulling</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_IsFishPulling</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00055">55</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a4db3d46d75d2864daed52041fe1f0973" name="a4db3d46d75d2864daed52041fe1f0973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db3d46d75d2864daed52041fe1f0973">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00059">59</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a912256c8942bad3ed5529bdd61aef067" name="a912256c8942bad3ed5529bdd61aef067"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a912256c8942bad3ed5529bdd61aef067">&#9670;&#160;</a></span>m_Pull</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_Pull</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00052">52</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a24843590cb4af2a1d47d4c06ef38b21e" name="a24843590cb4af2a1d47d4c06ef38b21e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24843590cb4af2a1d47d4c06ef38b21e">&#9670;&#160;</a></span>m_PullTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_PullTime</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00056">56</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a96fd8bffe61dfb895b3aa60c52708514" name="a96fd8bffe61dfb895b3aa60c52708514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96fd8bffe61dfb895b3aa60c52708514">&#9670;&#160;</a></span>m_WasPulled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_WasPulled</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00054">54</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="ab500d2dd196fc462aaeb5b8b643e371b" name="ab500d2dd196fc462aaeb5b8b643e371b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab500d2dd196fc462aaeb5b8b643e371b">&#9670;&#160;</a></span>MAX_FISHING_TIME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAX_FISHING_TIME = 150</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00044">44</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a1d77de8aad0acddfaac1590a64719cd7" name="a1d77de8aad0acddfaac1590a64719cd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d77de8aad0acddfaac1590a64719cd7">&#9670;&#160;</a></span>MIN_FISHING_TIME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MIN_FISHING_TIME = 100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00043">43</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a1b684771039417d45db35a26c465ef6a" name="a1b684771039417d45db35a26c465ef6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b684771039417d45db35a26c465ef6a">&#9670;&#160;</a></span>TOO_FEW_PULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> TOO_FEW_PULL = 8</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00036">36</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a39b4204deddf6efc0a891334091addc6" name="a39b4204deddf6efc0a891334091addc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39b4204deddf6efc0a891334091addc6">&#9670;&#160;</a></span>TOO_MUCH_PULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> TOO_MUCH_PULL = 32</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00033">33</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="afdeeb210659dbcd636f576ebabdc5f03" name="afdeeb210659dbcd636f576ebabdc5f03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdeeb210659dbcd636f576ebabdc5f03">&#9670;&#160;</a></span>WIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> WIN = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00040">40</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d2/ddb/_fishing_rod___base_8c.html">FishingRod_Base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
